# Method: outages.list

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/outages/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/outages/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/outages/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/outages/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/outages/list#body.ListOutagesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/outages/list#body.aspect)

Lists the outages in descending order of outage start timestamp, and the look back window is 130 days.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/outages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, The server will determine the number of outages to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results, if any. |

### Request body

The request body must be empty.

### Response body

Response to a outages.list request, contains the outages.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "outages": [ { object (`https://developers.google.com/ads-data-hub/reference/rest/v1/outages#Outage`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `outages[]` | ``object (`https://developers.google.com/ads-data-hub/reference/rest/v1/outages#Outage`)`` The outages within the look back window |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`